Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management
Class DomainSettings

    java.lang.Object
      com.bea.dsp.management.DomainSettings

All Implemented Interfaces:
  java.io.Serializable

    public class DomainSettings

extends java.lang.Object
implements java.io.Serializable

Global domain settings.

See Also:
  Serialized Form
Exclude:

Constructor Summary
`DomainSettings()`

Method Summary
`long` | `getDSPArtifactsDeploymentTimeout()`
`java.lang.String` | `getRecordingFolder()` Name of the folder in which the recorded wlst script will lie.
`long` | `getRequestHandlerDeploymentTimeout()`
`DomainSettings` | `setDSPArtifactsDeploymentTimeout(long timeout)`
`void` | `setRecordingFolder(java.lang.String recordingFolder)` Set the name of the recording folder.
`DomainSettings` | `setRequestHandlerDeploymentTimeout(long timeout)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomainSettings

    public DomainSettings()

Method Detail

### setRequestHandlerDeploymentTimeout

    public DomainSettings setRequestHandlerDeploymentTimeout(long timeout)

  Parameters:
    `timeout` - The request handler deployment timeout in minutes. Must be greater than two (2).
  Returns:
    This `DomainSettings` instance.

### setDSPArtifactsDeploymentTimeout

    public DomainSettings setDSPArtifactsDeploymentTimeout(long timeout)

  Parameters:
    `timeout` - The DSP artifacts deployment timeout in minutes. Must be equal or greater than five (5).
  Returns:
    This `DomainSettings` instance.

### getRequestHandlerDeploymentTimeout

    public long getRequestHandlerDeploymentTimeout()

  Returns:
    The timeout for request handler deployments in minutes. If not set, the default value (10 min) applies.

### getDSPArtifactsDeploymentTimeout

    public long getDSPArtifactsDeploymentTimeout()

  Returns:
    The timeout for deployments of dsp artifacts in minutes. If not set, the default value (60 min) applies.

### getRecordingFolder

    public java.lang.String getRecordingFolder()

  Name of the folder in which the recorded wlst script will lie. Note that this is not the absolute path. A folder with this name will be created in the root recording folder. The name can be thought as a name (tag) for the current recording session. All recordings in this recording session will be appended to script.py file in this folder. The recording folder is null incase recording is not active.

  Returns:
    recording folder name.

### setRecordingFolder

    public void setRecordingFolder(java.lang.String recordingFolder)

  Set the name of the recording folder. Setting this folder to null stops recording. Setting the same to a valid name starts recording. The name should be anything for which a dir could be created. The recording folder name does not allow any white space chars or any file separators. A folder with this name should exist in the recording root folder or it should be empty.

  Parameters:
    `recordingFolder` -
  See Also:
    `getRecordingFolder()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string reporting the current value for each domain setting.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.